
Allied Telesis AT-x510L-28GP-10 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey
Model AT-x510L-28GP-10Part no. AT-X510L-28GP-10EAN 7670352033488
62 specifications
- Noise45 dB
- Weight5.2 kg
- ColourGrey
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity24
- 10G supportNo
Overview
- Noise
- 45 dB
- Weight
- 5.2 kg
- Colour
- Grey
- Switch type
- Managed
- Basic switching RJ-45 Ethernet ports quantity
- 24
- 10G support
- No
- Brand
- Allied Telesis
- Category
- Network Switch
- Model
- AT-x510L-28GP-10
- Part number
- AT-X510L-28GP-10
- EAN / UPC
- 7670352033488
- Also known as
- Allied Telesis AT-x510L-28GP-10 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey
Specifications
62 specifications in 15 groups
Management features
| Specification | Value |
|---|---|
| Switch type | Managed |
| Switch layer | L3 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| MIB support | RFC1212, RFC1213, RFC1227, RFC1239, RFC1724, RFC2011, RFC2012, RFC2013, RFC2096, RFC2819, RFC2863, RFC3418, RFC3621, RFC3636 |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 24 |
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Installed SFP+ modules quantity | 4 |
| SFP+ module slots quantity | 4 |
| Console port | RJ-45 |
| Power connector | DC-in jack |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.2, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3ae, IEEE 802.3af, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
| 10G support | No |
| Copper ethernet cabling technology | 10GBASE-T, 100BASE-T, 1000BASE-T |
| Port mirroring | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Link aggregation | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
Data transmission
| Specification | Value |
|---|---|
| MAC address table | 16000 entries |
| Switching capacity | 128 Gbit/s |
| Throughput | 95.2 Mpps |
| Latency (10-100 Mbps) | 9.3 µs |
| Latency (1 Gbps) | 3.9 µs |
| Latency (10 Gbps) | 3 µs |
| Jumbo frames support | Yes |
| Packet buffer memory | 2 MB |
Security
| Specification | Value |
|---|---|
| DHCP features | DHCP client |
| IGMP snooping | Yes |
| Security algorithms | EAP-TTLS, MD5, PEAP, SSL/TLS |
Multicast features
| Specification | Value |
|---|---|
| Multicast support | Yes |
Protocols
| Specification | Value |
|---|---|
| Management protocols | Telnet, SMTP, DHCP, TLS, SSH |
| Supported network protocols | SNTP, NTP |
Design
| Specification | Value |
|---|---|
| Rack mounting | Yes |
| Stackable | Yes |
| Product colour | Grey |
| LED indicators | Yes |
| Safety | UL60950-1, CAN/CSA-C22.2 No. 60950-1-03, EN60950-1, EN60825-1, AS/NZS 60950.1 |
Performance
| Specification | Value |
|---|---|
| Flash memory | 64 MB |
| Noise level | 45 dB |
Power
| Specification | Value |
|---|---|
| Power consumption (typical) | 67 W |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | Yes |
| Power over Ethernet (PoE) ports quantity | 12 |
| Power over Ethernet plus (PoE+) ports quantity | 6 |
| Total Power over Ethernet (PoE) budget | 290 W |
Operational conditions
| Specification | Value |
|---|---|
| Operating temperature (T-T) | 0 - 45 °C |
| Storage temperature (T-T) | -25 - 70 °C |
| Operating relative humidity (H-H) | 5 - 90% |
| Storage relative humidity (H-H) | 5 - 95% |
| Non-operating altitude | 0 - 3048 m |
| Heat dissipation | 229 BTU/h |
Weight & dimensions
| Specification | Value |
|---|---|
| Width | 440 mm |
| Depth | 400 mm |
| Height | 44 mm |
| Weight | 5.2 kg |
Packaging data
| Specification | Value |
|---|---|
| Package width | 570 mm |
| Package depth | 510 mm |
| Package height | 150 mm |
| Package weight | 7.2 kg |
Certificates
| Specification | Value |
|---|---|
| Certification | UL, cUL, TUV |
What people say
Reviews & ratings
Allied Telesis AT-x510L-28GP-10 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey
No reviews yet
Be the first to tell others how Allied Telesis AT-x510L-28GP-10 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare Allied Telesis AT-x510L-28GP-10 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey
All network switch comparisons- Allied Telesis AT-x510L-28GP-10 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey vsAllied Telesis AT-X310-26FP-10 network switch Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) GreyCompare specs
- Allied Telesis AT-x510L-28GP-10 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey vsAllied Telesis x230-10GP Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U GreyCompare specs
- Allied Telesis AT-x510L-28GP-10 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey vsAllied Telesis AT-X510L-52GP-10 network switch Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) GreyCompare specs
- Allied Telesis AT-x510L-28GP-10 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey vsAllied Telesis AT-X510L-28GT-10 network switch Managed L3 Gigabit Ethernet (10/100/1000) GreyCompare specs
- Allied Telesis AT-x510L-28GP-10 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey vsLinksys SE4008 Gigabit Ethernet (10/100/1000) Black, BlueCompare specs
- Allied Telesis AT-x510L-28GP-10 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey vsBuffalo BS-GS2016P Managed L2/L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U BlackCompare specs
- Allied Telesis AT-x510L-28GP-10 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey vsHP 1920-8G-PoE+ (180W)Compare specs
- Allied Telesis AT-x510L-28GP-10 Managed L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Grey vsHP 1920-16G Managed L3 Gigabit Ethernet (10/100/1000) 1U GreyCompare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB



















